@import "base/fontawesome/font-awesome-mix-var";
@import "abstracts/vars";
@import "abstracts/mixins";

.popup {
    .row {
        position: relative !important;

        .col-xs-1 {
            position: absolute;


            &.popup__highlight {
                position: relative;
            }

            &:nth-of-type(1) {
                // right: 10px;
            }

            &:last-child{
                right: 0;
                width: 40px;
                height: 40px;
            }
        }
    }

    background: #ffffff;
    padding: 3rem 5rem 3rem 4rem;
    top: 50%;
    left: 0;
    right: 0;
    z-index: 10;
    opacity: 0;
    transition: opacity .2s ease-in;
    max-width: 90%;

    &__highlight {
        width: 195px !important;
        height: 195px !important;
        margin: 0;

        @include when-less-than(tablet) {
            display: none !important;
        }
    }

    &__data {
        padding-left: 2rem !important;
        width: 70%;
    }

    &__overlay {
        position: fixed;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, .4);
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: none;
        justify-content: center;
        align-items: center;
        z-index: 100;
    }

    &__close-btn {
        width: 40px;
        height: 40px;
        &::before {
            @include fa-icon();
            content: $fa-var-close;
            position: absolute;
            // right: -2rem;
            top: 0;
            font-size: 1.6rem;
            color: white;
            background-color: $blue;
            border-radius: 50%;
            padding: 4px 6px;
            cursor: pointer;
            border: .125rem solid $blue;
            width: 40px;
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
            right: 0;
            // @media screen and (max-width: 991px) {
            //     width: auto;
            //     height: auto;
            // }
        }
    }

    &__close-btn:hover::before {
        background-color: white;
        color: $blue;
    }
}

@media screen and (max-width: 767px) {
    .popup {
        .col-xs-1 {
            float: right;
        }

        .popup__data {
            width: 100%;
        }

        // &__close-btn::before {
        //     padding: 10px 11px;
        // }
    }
}


@media screen and (max-width: 1200px) {
    .popup {
        &__highlight {
            width: 155px !important;
            height: 155px !important;
        }

        .highlight__title {
            font-size: 1.3rem;
        }
    }
}

@media screen and (max-width: 769px) {
    .popup {
        &__highlight {
            width: 155px !important;
            height: 155px !important;
        }

        .highlight__title {
            font-size: 1.8rem;
        }
    }
}